Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/7
Addresses2^121
/64 networks2^57
Network
fc00::/7
First address
fc00::
Last address
fdff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
2,658,455,991,569,831,745,807,614,120,560,689,152 (2^121)
/64 networks (LANs)
144,115,188,075,855,872 (2^57)
Full form
fc00:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zones
c.f.ip6.arpa
d.f.ip6.arpa
/7 is not on a 4-bit boundary, so it takes 2 /8 zones.
Split into smaller subnets/16

fc00::/7 makes 512 subnets of /16; the first 256 are listed.

Subnets
#SubnetLast address
1fc00::/16fc00:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2fc01::/16fc01:ffff:ffff:ffff:ffff:ffff:ffff:ffff
3fc02::/16fc02:ffff:ffff:ffff:ffff:ffff:ffff:ffff
4fc03::/16fc03:ffff:ffff:ffff:ffff:ffff:ffff:ffff
5fc04::/16fc04:ffff:ffff:ffff:ffff:ffff:ffff:ffff
6fc05::/16fc05:ffff:ffff:ffff:ffff:ffff:ffff:ffff
7fc06::/16fc06:ffff:ffff:ffff:ffff:ffff:ffff:ffff
8fc07::/16fc07:ffff:ffff:ffff:ffff:ffff:ffff:ffff
9fc08::/16fc08:ffff:ffff:ffff:ffff:ffff:ffff:ffff
10fc09::/16fc09:ffff:ffff:ffff:ffff:ffff:ffff:ffff
11fc0a::/16fc0a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
12fc0b::/16fc0b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
13fc0c::/16fc0c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
14fc0d::/16fc0d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
15fc0e::/16fc0e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16fc0f::/16fc0f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17fc10::/16fc10:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18fc11::/16fc11:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19fc12::/16fc12:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20fc13::/16fc13:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21fc14::/16fc14:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22fc15::/16fc15:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23fc16::/16fc16:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24fc17::/16fc17:ffff:ffff:ffff:ffff:ffff:ffff:ffff
25fc18::/16fc18:ffff:ffff:ffff:ffff:ffff:ffff:ffff
26fc19::/16fc19:ffff:ffff:ffff:ffff:ffff:ffff:ffff
27fc1a::/16fc1a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
28fc1b::/16fc1b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
29fc1c::/16fc1c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
30fc1d::/16fc1d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
31fc1e::/16fc1e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
32fc1f::/16fc1f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
33fc20::/16fc20:ffff:ffff:ffff:ffff:ffff:ffff:ffff
34fc21::/16fc21:ffff:ffff:ffff:ffff:ffff:ffff:ffff
35fc22::/16fc22:ffff:ffff:ffff:ffff:ffff:ffff:ffff
36fc23::/16fc23:ffff:ffff:ffff:ffff:ffff:ffff:ffff
37fc24::/16fc24:ffff:ffff:ffff:ffff:ffff:ffff:ffff
38fc25::/16fc25:ffff:ffff:ffff:ffff:ffff:ffff:ffff
39fc26::/16fc26:ffff:ffff:ffff:ffff:ffff:ffff:ffff
40fc27::/16fc27:ffff:ffff:ffff:ffff:ffff:ffff:ffff
41fc28::/16fc28:ffff:ffff:ffff:ffff:ffff:ffff:ffff
42fc29::/16fc29:ffff:ffff:ffff:ffff:ffff:ffff:ffff
43fc2a::/16fc2a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
44fc2b::/16fc2b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
45fc2c::/16fc2c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
46fc2d::/16fc2d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
47fc2e::/16fc2e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
48fc2f::/16fc2f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
49fc30::/16fc30:ffff:ffff:ffff:ffff:ffff:ffff:ffff
50fc31::/16fc31:ffff:ffff:ffff:ffff:ffff:ffff:ffff
51fc32::/16fc32:ffff:ffff:ffff:ffff:ffff:ffff:ffff
52fc33::/16fc33:ffff:ffff:ffff:ffff:ffff:ffff:ffff
53fc34::/16fc34:ffff:ffff:ffff:ffff:ffff:ffff:ffff
54fc35::/16fc35:ffff:ffff:ffff:ffff:ffff:ffff:ffff
55fc36::/16fc36:ffff:ffff:ffff:ffff:ffff:ffff:ffff
56fc37::/16fc37:ffff:ffff:ffff:ffff:ffff:ffff:ffff
57fc38::/16fc38:ffff:ffff:ffff:ffff:ffff:ffff:ffff
58fc39::/16fc39:ffff:ffff:ffff:ffff:ffff:ffff:ffff
59fc3a::/16fc3a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
60fc3b::/16fc3b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
61fc3c::/16fc3c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
62fc3d::/16fc3d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
63fc3e::/16fc3e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
64fc3f::/16fc3f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
65fc40::/16fc40:ffff:ffff:ffff:ffff:ffff:ffff:ffff
66fc41::/16fc41:ffff:ffff:ffff:ffff:ffff:ffff:ffff
67fc42::/16fc42:ffff:ffff:ffff:ffff:ffff:ffff:ffff
68fc43::/16fc43:ffff:ffff:ffff:ffff:ffff:ffff:ffff
69fc44::/16fc44:ffff:ffff:ffff:ffff:ffff:ffff:ffff
70fc45::/16fc45:ffff:ffff:ffff:ffff:ffff:ffff:ffff
71fc46::/16fc46:ffff:ffff:ffff:ffff:ffff:ffff:ffff
72fc47::/16fc47:ffff:ffff:ffff:ffff:ffff:ffff:ffff
73fc48::/16fc48:ffff:ffff:ffff:ffff:ffff:ffff:ffff
74fc49::/16fc49:ffff:ffff:ffff:ffff:ffff:ffff:ffff
75fc4a::/16fc4a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
76fc4b::/16fc4b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
77fc4c::/16fc4c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
78fc4d::/16fc4d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
79fc4e::/16fc4e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
80fc4f::/16fc4f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
81fc50::/16fc50:ffff:ffff:ffff:ffff:ffff:ffff:ffff
82fc51::/16fc51:ffff:ffff:ffff:ffff:ffff:ffff:ffff
83fc52::/16fc52:ffff:ffff:ffff:ffff:ffff:ffff:ffff
84fc53::/16fc53:ffff:ffff:ffff:ffff:ffff:ffff:ffff
85fc54::/16fc54:ffff:ffff:ffff:ffff:ffff:ffff:ffff
86fc55::/16fc55:ffff:ffff:ffff:ffff:ffff:ffff:ffff
87fc56::/16fc56:ffff:ffff:ffff:ffff:ffff:ffff:ffff
88fc57::/16fc57:ffff:ffff:ffff:ffff:ffff:ffff:ffff
89fc58::/16fc58:ffff:ffff:ffff:ffff:ffff:ffff:ffff
90fc59::/16fc59:ffff:ffff:ffff:ffff:ffff:ffff:ffff
91fc5a::/16fc5a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
92fc5b::/16fc5b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
93fc5c::/16fc5c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
94fc5d::/16fc5d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
95fc5e::/16fc5e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
96fc5f::/16fc5f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
97fc60::/16fc60:ffff:ffff:ffff:ffff:ffff:ffff:ffff
98fc61::/16fc61:ffff:ffff:ffff:ffff:ffff:ffff:ffff
99fc62::/16fc62:ffff:ffff:ffff:ffff:ffff:ffff:ffff
100fc63::/16fc63:ffff:ffff:ffff:ffff:ffff:ffff:ffff
101fc64::/16fc64:ffff:ffff:ffff:ffff:ffff:ffff:ffff
102fc65::/16fc65:ffff:ffff:ffff:ffff:ffff:ffff:ffff
103fc66::/16fc66:ffff:ffff:ffff:ffff:ffff:ffff:ffff
104fc67::/16fc67:ffff:ffff:ffff:ffff:ffff:ffff:ffff
105fc68::/16fc68:ffff:ffff:ffff:ffff:ffff:ffff:ffff
106fc69::/16fc69:ffff:ffff:ffff:ffff:ffff:ffff:ffff
107fc6a::/16fc6a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
108fc6b::/16fc6b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
109fc6c::/16fc6c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
110fc6d::/16fc6d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
111fc6e::/16fc6e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
112fc6f::/16fc6f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
113fc70::/16fc70:ffff:ffff:ffff:ffff:ffff:ffff:ffff
114fc71::/16fc71:ffff:ffff:ffff:ffff:ffff:ffff:ffff
115fc72::/16fc72:ffff:ffff:ffff:ffff:ffff:ffff:ffff
116fc73::/16fc73:ffff:ffff:ffff:ffff:ffff:ffff:ffff
117fc74::/16fc74:ffff:ffff:ffff:ffff:ffff:ffff:ffff
118fc75::/16fc75:ffff:ffff:ffff:ffff:ffff:ffff:ffff
119fc76::/16fc76:ffff:ffff:ffff:ffff:ffff:ffff:ffff
120fc77::/16fc77:ffff:ffff:ffff:ffff:ffff:ffff:ffff
121fc78::/16fc78:ffff:ffff:ffff:ffff:ffff:ffff:ffff
122fc79::/16fc79:ffff:ffff:ffff:ffff:ffff:ffff:ffff
123fc7a::/16fc7a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
124fc7b::/16fc7b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
125fc7c::/16fc7c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
126fc7d::/16fc7d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
127fc7e::/16fc7e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
128fc7f::/16fc7f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
129fc80::/16fc80:ffff:ffff:ffff:ffff:ffff:ffff:ffff
130fc81::/16fc81:ffff:ffff:ffff:ffff:ffff:ffff:ffff
131fc82::/16fc82:ffff:ffff:ffff:ffff:ffff:ffff:ffff
132fc83::/16fc83:ffff:ffff:ffff:ffff:ffff:ffff:ffff
133fc84::/16fc84:ffff:ffff:ffff:ffff:ffff:ffff:ffff
134fc85::/16fc85:ffff:ffff:ffff:ffff:ffff:ffff:ffff
135fc86::/16fc86:ffff:ffff:ffff:ffff:ffff:ffff:ffff
136fc87::/16fc87:ffff:ffff:ffff:ffff:ffff:ffff:ffff
137fc88::/16fc88:ffff:ffff:ffff:ffff:ffff:ffff:ffff
138fc89::/16fc89:ffff:ffff:ffff:ffff:ffff:ffff:ffff
139fc8a::/16fc8a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
140fc8b::/16fc8b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
141fc8c::/16fc8c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
142fc8d::/16fc8d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
143fc8e::/16fc8e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
144fc8f::/16fc8f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
145fc90::/16fc90:ffff:ffff:ffff:ffff:ffff:ffff:ffff
146fc91::/16fc91:ffff:ffff:ffff:ffff:ffff:ffff:ffff
147fc92::/16fc92:ffff:ffff:ffff:ffff:ffff:ffff:ffff
148fc93::/16fc93:ffff:ffff:ffff:ffff:ffff:ffff:ffff
149fc94::/16fc94:ffff:ffff:ffff:ffff:ffff:ffff:ffff
150fc95::/16fc95:ffff:ffff:ffff:ffff:ffff:ffff:ffff
151fc96::/16fc96:ffff:ffff:ffff:ffff:ffff:ffff:ffff
152fc97::/16fc97:ffff:ffff:ffff:ffff:ffff:ffff:ffff
153fc98::/16fc98:ffff:ffff:ffff:ffff:ffff:ffff:ffff
154fc99::/16fc99:ffff:ffff:ffff:ffff:ffff:ffff:ffff
155fc9a::/16fc9a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
156fc9b::/16fc9b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
157fc9c::/16fc9c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
158fc9d::/16fc9d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
159fc9e::/16fc9e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
160fc9f::/16fc9f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
161fca0::/16fca0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
162fca1::/16fca1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
163fca2::/16fca2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
164fca3::/16fca3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
165fca4::/16fca4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
166fca5::/16fca5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
167fca6::/16fca6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
168fca7::/16fca7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
169fca8::/16fca8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
170fca9::/16fca9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
171fcaa::/16fcaa:ffff:ffff:ffff:ffff:ffff:ffff:ffff
172fcab::/16fcab:ffff:ffff:ffff:ffff:ffff:ffff:ffff
173fcac::/16fcac:ffff:ffff:ffff:ffff:ffff:ffff:ffff
174fcad::/16fcad:ffff:ffff:ffff:ffff:ffff:ffff:ffff
175fcae::/16fcae:ffff:ffff:ffff:ffff:ffff:ffff:ffff
176fcaf::/16fcaf:ffff:ffff:ffff:ffff:ffff:ffff:ffff
177fcb0::/16fcb0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
178fcb1::/16fcb1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
179fcb2::/16fcb2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
180fcb3::/16fcb3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
181fcb4::/16fcb4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
182fcb5::/16fcb5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
183fcb6::/16fcb6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
184fcb7::/16fcb7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
185fcb8::/16fcb8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
186fcb9::/16fcb9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
187fcba::/16fcba:ffff:ffff:ffff:ffff:ffff:ffff:ffff
188fcbb::/16fcbb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
189fcbc::/16fcbc:ffff:ffff:ffff:ffff:ffff:ffff:ffff
190fcbd::/16fcbd:ffff:ffff:ffff:ffff:ffff:ffff:ffff
191fcbe::/16fcbe:ffff:ffff:ffff:ffff:ffff:ffff:ffff
192fcbf::/16fcbf:ffff:ffff:ffff:ffff:ffff:ffff:ffff
193fcc0::/16fcc0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
194fcc1::/16fcc1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
195fcc2::/16fcc2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
196fcc3::/16fcc3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
197fcc4::/16fcc4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
198fcc5::/16fcc5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
199fcc6::/16fcc6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
200fcc7::/16fcc7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
201fcc8::/16fcc8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
202fcc9::/16fcc9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
203fcca::/16fcca:ffff:ffff:ffff:ffff:ffff:ffff:ffff
204fccb::/16fccb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
205fccc::/16fccc:ffff:ffff:ffff:ffff:ffff:ffff:ffff
206fccd::/16fccd:ffff:ffff:ffff:ffff:ffff:ffff:ffff
207fcce::/16fcce:ffff:ffff:ffff:ffff:ffff:ffff:ffff
208fccf::/16fccf:ffff:ffff:ffff:ffff:ffff:ffff:ffff
209fcd0::/16fcd0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
210fcd1::/16fcd1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
211fcd2::/16fcd2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
212fcd3::/16fcd3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
213fcd4::/16fcd4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
214fcd5::/16fcd5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
215fcd6::/16fcd6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
216fcd7::/16fcd7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
217fcd8::/16fcd8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
218fcd9::/16fcd9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
219fcda::/16fcda:ffff:ffff:ffff:ffff:ffff:ffff:ffff
220fcdb::/16fcdb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
221fcdc::/16fcdc:ffff:ffff:ffff:ffff:ffff:ffff:ffff
222fcdd::/16fcdd:ffff:ffff:ffff:ffff:ffff:ffff:ffff
223fcde::/16fcde:ffff:ffff:ffff:ffff:ffff:ffff:ffff
224fcdf::/16fcdf:ffff:ffff:ffff:ffff:ffff:ffff:ffff
225fce0::/16fce0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
226fce1::/16fce1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
227fce2::/16fce2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
228fce3::/16fce3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
229fce4::/16fce4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
230fce5::/16fce5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
231fce6::/16fce6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
232fce7::/16fce7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
233fce8::/16fce8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
234fce9::/16fce9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
235fcea::/16fcea:ffff:ffff:ffff:ffff:ffff:ffff:ffff
236fceb::/16fceb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
237fcec::/16fcec:ffff:ffff:ffff:ffff:ffff:ffff:ffff
238fced::/16fced:ffff:ffff:ffff:ffff:ffff:ffff:ffff
239fcee::/16fcee:ffff:ffff:ffff:ffff:ffff:ffff:ffff
240fcef::/16fcef:ffff:ffff:ffff:ffff:ffff:ffff:ffff
241fcf0::/16fcf0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
242fcf1::/16fcf1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
243fcf2::/16fcf2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
244fcf3::/16fcf3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
245fcf4::/16fcf4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
246fcf5::/16fcf5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
247fcf6::/16fcf6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
248fcf7::/16fcf7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
249fcf8::/16fcf8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
250fcf9::/16fcf9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
251fcfa::/16fcfa:ffff:ffff:ffff:ffff:ffff:ffff:ffff
252fcfb::/16fcfb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
253fcfc::/16fcfc:ffff:ffff:ffff:ffff:ffff:ffff:ffff
254fcfd::/16fcfd:ffff:ffff:ffff:ffff:ffff:ffff:ffff
255fcfe::/16fcfe:ffff:ffff:ffff:ffff:ffff:ffff:ffff
256fcff::/16fcff:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses